1

I am getting this error when moving Magento 2 website to Google Cloud (Click to Deploy).

  • I have merged theme files and media files and it worked fine. When I have connected to my old database it says this error.

Error

  • I have tried these commands

    1) php bin/magento setup:upgrade
    2) php bin/magento setup:di:compile
    3) php bin/magento setup:static-content:deploy
    4) php bin/magento indexer:reindex
    5) php bin/magento cache:clean
    6) php bin/magento cache:flush
    

I am new here. and this is my first question.

Thanks

1

Magento2 can't handles backwards compability in modules.

I'd suggest installing https://github.com/netz98/n98-magerun2 and running sys:setup:downgrade-versions.

The alternative to this is going to the table setup_module and changing the versions.

  • Thanks Man! You're faster than machine! – Khaled Bin Amir Jan 21 at 8:08
  • some issues just pop up everyday and the solution is in the back of my head ;-) – Philipp Sander Jan 21 at 8:09

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.